Bug 236698 - devel/apr1: Fails to build with MariaDB 10.3
Summary: devel/apr1: Fails to build with MariaDB 10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://reviews.freebsd.org/D19691
Keywords:
Depends on: 235744
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-21 10:10 UTC by White Lynx
Modified: 2019-03-24 20:56 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (apache)
mmokhi: maintainer-feedback? (brnrd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description White Lynx 2019-03-21 10:10:24 UTC
Maybe it is related to bug #230538

My system seems to be current and up-to-date:



------------------------

[root@mail /usr/ports/www/apache24]# uname -r
12.0-RELEASE-p3
[root@mail /usr/ports/www/apache24]# freebsd-update fetch install
src component not installed, skipped
Looking up update.FreeBSD.org mirrors... 3 mirrors found.
Fetching metadata signature for 12.0-RELEASE from update1.freebsd.org... done.
Fetching metadata index... done.
Inspecting system... done.
Preparing to download files... done.

No updates needed to update system to 12.0-RELEASE-p3.
No updates are available to install.
[root@mail /usr/ports/www/apache24]# portsnap fetch update
Looking up portsnap.FreeBSD.org mirrors... 6 mirrors found.
Fetching snapshot tag from ec2-eu-west-1.portsnap.freebsd.org... done.
Latest snapshot on server matches what we already have.
No updates needed.
Ports tree is already up to date.
[root@mail /usr/ports/www/apache24]# portmaster -a
===>>> Gathering distinfo list for installed ports

===>>> Starting check of installed ports for available updates

===>>> All ports are up to date

------------------------



I have the following ports installed:



------------------------

[root@mail /usr/ports/www/apache24]# pkg info
autoconf-2.69_2                Automatically configure source code on many Un*x platforms
autoconf-wrapper-20131203      Wrapper script for GNU autoconf
automake-1.16.1_1              GNU Standards-compliant Makefile generator
bash-5.0.3                     GNU Project's Bourne Again SHell
bison-3.3.2,1                  Parser generator from FSF, (mostly) compatible with Yacc
brotli-1.0.7_1,1               Generic-purpose lossless compression algorithm
ca_root_nss-3.43               Root certificate bundle from the Mozilla Project
cmake-3.13.4                   Cross-platform Makefile generator
curl-7.64.0_1                  Command line tool and library for transferring data with URLs
db5-5.3.28_7                   Oracle Berkeley DB, revision 5.3
dialog4ports-0.1.6             Console Interface to configure ports
expat-2.2.6_1                  XML 1.0 parser written in C
gdbm-1.18.1                    GNU database manager
gettext-runtime-0.19.8.1_2     GNU gettext runtime libraries and programs
gettext-tools-0.19.8.1_1       GNU gettext development and translation tools
gmake-4.2.1_3                  GNU version of 'make' utility
help2man-1.47.9                Automatically generating simple manual pages from program output
indexinfo-0.3.1                Utility to regenerate the GNU info page index
jsoncpp-1.8.1_6                JSON reader and writer library for C++
libarchive-3.3.3,1             Library to create and read several streaming archive formats
libargon2-20171227_1           Memory hard password hashing program and library
libedit-3.1.20181209_2,1       Command line editor library
libffi-3.2.1_3                 Foreign Function Interface
libiconv-1.14_11               Character set conversion library
libidn2-2.1.1                  Implementation of IDNA2008 internationalized domain names
liblz4-1.8.3,1                 LZ4 compression library, lossless and very fast
libnghttp2-1.37.0              HTTP/2.0 C Library
libssh2-1.8.0_1,3              Library implementing the SSH2 protocol
libtool-2.4.6_1                Generic shared library support script
libunistring-0.9.10_1          Unicode string library
libuv-1.27.0                   Multi-platform support library with a focus on asynchronous I/O
libxml2-2.9.8                  XML parser library for GNOME
lzo2-2.10_1                    Portable speedy, lossless data compression library
m4-1.4.18_1,1                  GNU M4
mariadb103-client-10.3.13      Multithreaded SQL database (client)
mariadb103-server-10.3.13      Multithreaded SQL database (server)
openssl-1.0.2r,1               SSL and crypto library
p5-Locale-gettext-1.07         Message handling functions
p5-Locale-libintl-1.31         Internationalization library for Perl
p5-Text-Unidecode-1.30         Text::Unidecode -- US-ASCII transliterations of Unicode text
p5-Unicode-EastAsianWidth-1.40 East Asian Width properties
pcre2-10.32                    Perl Compatible Regular Expressions library, version 2
perl5-5.28.1_1                 Practical Extraction and Report Language
php73-7.3.3                    PHP Scripting Language
pkg-1.10.5_5                   Package manager
pkgconf-1.6.0,1                Utility to help to configure compiler and linker flags
portmaster-3.19_18             Manage your ports without external databases or languages
py27-setuptools-40.8.0         Python packages installer
py37-Babel-2.6.0               Collection of tools for internationalizing Python applications
py37-Jinja2-2.10               Fast and easy to use stand-alone template engine
py37-MarkupSafe-1.1.1          Implements XML/HTML/XHTML Markup safe string for Python
py37-alabaster-0.7.6           Modified Kr Sphinx theme
py37-asn1crypto-0.22.0         ASN.1 library with a focus on performance and a pythonic API
py37-certifi-2018.11.29        Mozilla SSL certificates
py37-cffi-1.12.2               Foreign Function Interface for Python calling C code
py37-chardet-3.0.4             Universal encoding detector for Python 2 and 3
py37-cryptography-2.3          Cryptographic recipes and primitives for Python developers
py37-cython-0.29               Compiler for Writing C Extensions for the Python Language
py37-docutils-0.14_3           Python Documentation Utilities
py37-idna-2.8                  Internationalized Domain Names in Applications (IDNA)
py37-imagesize-0.7.1           Python image size library
py37-openssl-18.0.0            Python interface to the OpenSSL library
py37-pycparser-2.18            C parser in Python
py37-pygments-2.3.0            Syntax highlighter written in Python
py37-pysocks-1.6.8             Python SOCKS module
py37-pystemmer-1.3.0_2         Snowball Stemming Algorithms for Information Retrieval
py37-pytest-runner-2.11.1      Test support for pytest runner in setup.py
py37-pytz-2018.9,1             World Timezone Definitions for Python
py37-requests-2.21.0           HTTP library written in Python for human beings
py37-setuptools-40.8.0         Python packages installer
py37-setuptools_scm-3.1.0      Setuptools plugin to manage your versions by scm tags
py37-six-1.12.0                Python 2 and 3 compatibility utilities
py37-snowballstemmer-1.2.0_1   Snowball stemming library collection for Python
py37-sphinx-1.6.5_1,1          Python documentation generator
py37-sphinx_rtd_theme-0.4.3    Mobile-friendly py-sphinx theme
py37-sphinxcontrib-websupport-1.1.0 Sphinx API for Web Apps
py37-urllib3-1.22,1            HTTP library with thread-safe connection pooling, file post, and more
python27-2.7.16                Interpreted object-oriented programming language
python37-3.7.2                 Interpreted object-oriented programming language
readline-7.0.5                 Library for editing command lines as they are typed
rhash-1.3.5                    Utility and library for computing and checking of file hashes
scons-3.0.1                    Build tool alternative to make
texinfo-6.6,1                  Typeset documentation system with multiple format output
unixODBC-2.3.7                 ODBC library suite for Unix
zstd-1.3.8                     Zstandard - Fast real-time compression algorithm

------------------------



When I try to install apache24 it fails with the following error:



------------------------

[root@mail /usr/ports/www/apache24]# make install clean
===>   apache24-2.4.38 depends on package: autoconf>=2.69 - found
===>   apache24-2.4.38 depends on package: automake>=1.16.1 - found
===>   apache24-2.4.38 depends on executable: libtoolize - found
===>   apache24-2.4.38 depends on package: libiconv>=1.14_11 - found
===>   apache24-2.4.38 depends on file: /usr/local/lib/libcrypto.so.9 - found
===>   apache24-2.4.38 depends on shared library: libexpat.so - found (/usr/local/lib/libexpat.so)
===>   apache24-2.4.38 depends on shared library: libapr-1.so - not found
===>  Installing for apr-1.6.5.1.6.1_1
===>  Checking if apr is already installed
===>   Registering installation for apr-1.6.5.1.6.1_1 as automatic
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql-1.so:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql.a:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql.so:No such file or directory
*** Error code 74

Stop.
make[3]: stopped in /usr/ports/devel/apr1
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/devel/apr1
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/apache24
*** Error code 1

Stop.
make: stopped in /usr/ports/www/apache24
Comment 1 Jochen Neumeister freebsd_committer 2019-03-21 10:59:20 UTC
I can not reproduce that.

Can you please do that:
cd /usr/ports/devel/apr1 && make clean && make rmconfig && make install clean
Comment 2 White Lynx 2019-03-21 12:55:13 UTC
(In reply to Jochen Neumeister from comment #1)
Well... I reverted vm to a snapshot (portsnap + some modifications to make.conf + openssl) and then made

cd /usr/ports/devel/apr1
make install clean

The result is:



------------------------

...
libtool: install: /usr/bin/install -m 755 .libs/libaprutil-1.lai /usr/ports/devel/apr1/work/stage/usr/local/lib/libaprutil-1.la
libtool: install: /usr/bin/install -m 755 .libs/libaprutil-1.a /usr/ports/devel/apr1/work/stage/usr/local/lib/libaprutil-1.a
libtool: install: chmod 644 /usr/ports/devel/apr1/work/stage/usr/local/lib/libaprutil-1.a
libtool: install: ranlib /usr/ports/devel/apr1/work/stage/usr/local/lib/libaprutil-1.a
libtool: warning: remember to run 'libtool --finish /usr/local/lib'
/usr/bin/install -m 644 aprutil.exp /usr/ports/devel/apr1/work/stage/usr/local/lib
/usr/bin/install -m 755 apu-config.out /usr/ports/devel/apr1/work/stage/usr/local/bin/apu-1-config
/usr/bin/find /usr/ports/devel/apr1/work/stage/usr/local/lib/ -name \*.so | /usr/bin/xargs /usr/bin/strip
====> Compressing man pages (compress-man)
===>  Installing for apr-1.6.5.1.6.1_1
===>  Checking if apr is already installed
===>   Registering installation for apr-1.6.5.1.6.1_1
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql-1.so:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql.a:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql.so:No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/devel/apr1
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/apr1

------------------------



Then I did

cd /usr/ports/devel/apr1 && make clean && make rmconfig && make install clean



------------------------

libtool: install: chmod 644 /usr/ports/devel/apr1/work/stage/usr/local/lib/libaprutil-1.a
libtool: install: ranlib /usr/ports/devel/apr1/work/stage/usr/local/lib/libaprutil-1.a
libtool: warning: remember to run 'libtool --finish /usr/local/lib'
/usr/bin/install -m 644 aprutil.exp /usr/ports/devel/apr1/work/stage/usr/local/lib
/usr/bin/install -m 755 apu-config.out /usr/ports/devel/apr1/work/stage/usr/local/bin/apu-1-config
/usr/bin/find /usr/ports/devel/apr1/work/stage/usr/local/lib/ -name \*.so | /usr/bin/xargs /usr/bin/strip
====> Compressing man pages (compress-man)
===>  Installing for apr-1.6.5.1.6.1_1
===>  Checking if apr is already installed
===>   Registering installation for apr-1.6.5.1.6.1_1
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql-1.so:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql.a:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/apr1/work/stage/usr/local/lib/apr-util-1/apr_dbd_mysql.so:No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/devel/apr1
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/apr1

------------------------



Nothing helped.
Is there any way to test what what went wrong?
Comment 3 White Lynx 2019-03-21 13:20:30 UTC
Maybe, some initial configuration state will help a bit?



------------------------

[root@mail ~]# echo $USER
toor

[root@mail ~]# chsh $USER

#Changing user information for toor.
Login: toor
Password: *
Uid [#]: 0
Gid [# or name]: 0
Change [month day year]:
Expire [month day year]:
Class: russian
Home directory: /root
Shell: /usr/local/bin/bash
Full Name: Bourne-again Superuser
Office Location:
Office Phone:
Home Phone:
Other information:

[root@mail ~]# cat /etc/make.conf
DEFAULT_VERSIONS+= python=3.7 python3=3.7 python2=2.7 ssl=openssl mysql=10.3m php=7.3
WITHOUT_X11=yes

[root@mail ~]# pkg info
bash-5.0.3                     GNU Project's Bourne Again SHell
bison-3.3.2,1                  Parser generator from FSF, (mostly) compatible with Yacc
dialog4ports-0.1.6             Console Interface to configure ports
gettext-runtime-0.19.8.1_2     GNU gettext runtime libraries and programs
gettext-tools-0.19.8.1_1       GNU gettext development and translation tools
gmake-4.2.1_3                  GNU version of 'make' utility
help2man-1.47.9                Automatically generating simple manual pages from program output
indexinfo-0.3.1                Utility to regenerate the GNU info page index
libiconv-1.14_11               Character set conversion library
m4-1.4.18_1,1                  GNU M4
openssl-1.0.2r,1               SSL and crypto library
p5-Locale-gettext-1.07         Message handling functions
p5-Locale-libintl-1.31         Internationalization library for Perl
p5-Text-Unidecode-1.30         Text::Unidecode -- US-ASCII transliterations of Unicode text
p5-Unicode-EastAsianWidth-1.40 East Asian Width properties
perl5-5.28.1_1                 Practical Extraction and Report Language
pkg-1.10.5_5                   Package manager
portmaster-3.19_18             Manage your ports without external databases or languages
texinfo-6.6,1                  Typeset documentation system with multiple format output
Comment 4 White Lynx 2019-03-21 14:52:29 UTC
Update.
I found a bug #235744 with patch attached.
After I reverted to initial snapshot and applied that patch:



------------------------

[root@mail /usr/ports]# fetch --no-verify-peer -o ~/patch https://bz-attachments.freebsd.org/attachment.cgi?id=202290

------------------------



and applied it:



------------------------

[root@mail /usr/ports]# patch < ~/patch

------------------------



apr installed without questions:



------------------------

[root@mail /usr/ports]# pkg info | grep apr
apr-1.6.5.1.6.1_1              Apache Portability Library

------------------------



It seems that it is a regression. =(
Comment 5 Jochen Neumeister freebsd_committer 2019-03-22 19:00:38 UTC
i add @brnrd and @mmokhi
is this still a Problem with MariaDB / MySQL?
Comment 6 White Lynx 2019-03-22 19:48:35 UTC
(In reply to Jochen Neumeister from comment #5)
Well... After freebsd-update and portsnap I can install mariadb103-client and cannot install apr1.
But the patch I found contains some fixes to mariadb103-client, not to apr1. I don't know where the problem is, I just do some google-fu. =(
Comment 7 White Lynx 2019-03-22 19:49:21 UTC
Sorry, apl1, of course.
Comment 8 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-22 20:11:16 UTC
(In reply to White Lynx from comment #7)
Hi,
I just tried to build port with poudriere+12.0RELEASE jail.
I selected MySQL as option, and it builds fine (Or I failed to reproduced?)

I pasted my log here: https://termbin.com/acte
Maybe it helps you hint me if I am missing something?

Thanks in advance.
Comment 9 White Lynx 2019-03-22 20:22:06 UTC
(In reply to Mahdi Mokhtari from comment #8)
Here is what I suggest to be the key:

===>   Installing existing package /packages/All/mysql56-client-5.6.43.txz
[120amd64-default] Installing mysql56-client-5.6.43...

I try to install apr1 over mariadb103-client, not mysql56-client.
Comment 10 White Lynx 2019-03-22 20:50:08 UTC
(In reply to Mahdi Mokhtari from comment #8)
Look into my make.conf once more, maybe it will help you:



------------------------

[root@mail ~]# cat /etc/make.conf
DEFAULT_VERSIONS+= python=3.7 python3=3.7 python2=2.7 ssl=openssl mysql=10.3m php=7.3
WITHOUT_X11=yes
Comment 11 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-22 21:00:28 UTC
(In reply to White Lynx from comment #9)
Aha, yes
I just tried with mariadb103 instead of mysql...
It seems it doesn't build the `apr_dbd_mysql.{so, a}` at all`

I could see it has "apr_dbd.{o, lo}" though...

Interestingly, I see configure's log saying:
"
checking for mysql.h... yes
checking for mysql_init in -lmysqlclient... no
checking for my_global.h... yes
checking for mysql_init in -lmysqlclient... (cached) no
checking for my_sys.h... yes
checking for mysql_init in -lmysqlclient... (cached) no
checking for mysql/mysql.h... yes
checking for mysql_init in -lmysqlclient... (cached) no
checking for mysql/my_global.h... yes
checking for mysql_init in -lmysqlclient... (cached) no
checking for mysql/my_sys.h... yes
checking for mysql_init in -lmysqlclient... (cached) no
"

Maybe brnrd@ can tell us if it's a known behavior of mariadb. Or if he thinks it's good idea to patch configure script to know the right library, or we can just create symlink to actual library with the same name on mariadb?
Comment 12 White Lynx 2019-03-22 22:03:07 UTC
(In reply to White Lynx from comment #10)
OMG. WITHOUT_X11  deprecated. I must be running twice as fast as I do now. =))
Comment 13 Danilo G. Baio freebsd_committer 2019-03-23 00:51:58 UTC
(In reply to Mahdi Mokhtari from comment #11)

All other versions of mariadb client have a mysql_config patch that was removed in MariaDB 10.3, other ports are not building with MariaDB 10.3 because of this as well.
Comment 14 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-23 11:38:34 UTC
(In reply to Danilo G. Baio from comment #13)
Oh, so do you know why it has been removed specifically for MariaDB 10.3?
Comment 15 Danilo G. Baio freebsd_committer 2019-03-23 11:59:00 UTC
(In reply to Mahdi Mokhtari from comment #14)

I don't.

When it was repocopied, ports r490140, 'patch-scripts_mysql__config.sh' was removed.

And a 'post-configure' part that patches 'mariadb_config.c' was removed in ports r472070.

Both cases without mention in the commit message or in the PR.
Comment 16 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-23 20:52:36 UTC
(In reply to Danilo G. Baio from comment #15)
Thanks for the info...
Possible it's a regression, I'm gonna test it with some minor changes (IIRC I had similar issue while ago on mysql80 or 57...)
I'll update here and I'll ping brnrd@ to review/approve the commit hopefully in some hours :)
Comment 17 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-23 21:34:04 UTC
I came up with a patch :) I guess this should fix the problem...
You can see the link in URL field as I updated it.

@lynx, you can check it out and confirm if it builds fine for you.
My build log is uploaded here you can check it out: https://termbin.com/wpjn

So if everything is fine, hopefully the patch will land soon :)
Comment 18 Danilo G. Baio freebsd_committer 2019-03-23 21:47:01 UTC
(In reply to Mahdi Mokhtari from comment #17)

same patch in bug 235744
Comment 19 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-23 21:52:25 UTC
Oh wow... Nice so it seems people already tried and it solved the issue.
Interesting that PRs aren't marked as duplicated though :)

So, I'm gonna ask brnrd@ if he lets me commit it sooner, as already some people on other PR verified it solves the issue...
Comment 20 White Lynx 2019-03-23 21:54:25 UTC
(In reply to Mahdi Mokhtari from comment #19)
I've already tested the patch in comment #4 and it seems to work. =)
Comment 21 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-03-23 21:56:03 UTC
(In reply to White Lynx from comment #20)
Ah, Sorry, I missed it :)
Pardon my ignorant `:D, didn't read the PR from start ^_^ so I was punished by doing lots of duplicated stuff :))
Comment 22 White Lynx 2019-03-23 21:59:24 UTC
(In reply to Mahdi Mokhtari from comment #21)
Oh, I understand I made some tl;dr in top comments. =) Anyway, thanks, I'll be waiting for update.
Comment 23 Bernard Spil freebsd_committer 2019-03-23 22:29:01 UTC
Please validate that this has been fixed with https://svnweb.freebsd.org/changeset/ports/496689 and let me know here so I can close the PR.

Sorry for the long delay.
Comment 24 White Lynx 2019-03-24 00:23:11 UTC
(In reply to Bernard Spil from comment #23)
I confirm. One more tl;dr:



------------------------

[root@mx /usr/ports/devel/apr1]# cat /etc/make.conf
DEFAULT_VERSIONS += python=3.7 python3=3.7 python2=2.7 ssl=openssl mysql=10.3m php=7.3
OPTIONS_UNSET += X11

[root@mx /usr/ports/devel/apr1]# cat /usr/ports/databases/mariadb103-client/Makefile
# Created by: Bernard Spil <brnrd@FreeBSD.org>
# $FreeBSD: head/databases/mariadb103-client/Makefile 490140 2019-01-13 14:43:08Z brnrd $

PORTNAME=       mariadb

PORTREVISION=   1

PKGNAMESUFFIX=  103-client

COMMENT=        Multithreaded SQL database (client)

MASTERDIR=      ${.CURDIR}/../mariadb103-server

FILESDIR=       ${.CURDIR}/files
PATCHDIR=       ${.CURDIR}/files
PLIST=          ${.CURDIR}/pkg-plist

CMAKE_ARGS+=    -DWITHOUT_SERVER=1 \
                -DCONC_WITH_UNITTEST=0 \
                -DCONC_WITH_MYSQLCOMPAT=1 \
                -DWITH_WSREP=0

USE_LDCONFIG=   ${PREFIX}/lib/mysql

CLIENT_ONLY=    yes

CONFLICTS_INSTALL=      databases/mytop

post-configure:
        ${REINPLACE_CMD} -Ee 's|(#define INCLUDE.*)"$$|\1 -I${PREFIX}/include"|' \
        -e 's|(#define LIBS .*)"$$|\1 -L${PREFIX}/lib"|' \
        ${WRKSRC}/libmariadb/mariadb_config/mariadb_config.c

post-install:
        ${RM} -r ${STAGEDIR}${DATADIR}
        ${RM} -r ${STAGEDIR}${PREFIX}/include/mysql/server

post-install-GSSAPI_NONE:
        ${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/mysql/plugin/auth_gssapi_client.so

.include "${MASTERDIR}/Makefile"
[root@mx /usr/ports/devel/apr1]# pkg info | grep apr
apr-1.6.5.1.6.1_1              Apache Portability Library
Comment 25 White Lynx 2019-03-24 15:44:17 UTC
Update to ports fetched, now apr1 installs ok out of box. Thank you. =)